prglobal = {
 \property Staff.TimeSignature \override #'style = #'C
 \property Voice.TupletBracket \set #'tuplet-bracket-visibility = ##f
 \property Voice.TupletBracket \set #'tuplet-number-visibility = ##f
 \time 2/2
}

prt = \notes \relative c'' {
 \prglobal
 \repeat volta 2 {
 % Fingerings on notes to which grace notes are attached shifts onto the grace note for some reason.
 % Commented lines should work but don't, stop-gap solution has no fingerings on these notes
%  \stemDown \skip 4*3 \grace { \property Grace.Stem \override #'flag-style = #"" \property Grace.Stem \override #'direction = #-1 a'16 } \times 2/3 {g8^3 fis^2 g^3} | \property Score.currentBarNumber = #1 b4^5_#'(italic "dolce") b^5 g^3 \grace { \property Grace.Stem \override #'flag-style = #"" \property Grace.Stem \override #'direction = #-1 a16 } \times 2/3 {g8^3 fis^2 g^1} | d'2^5 b4^3 g^1 |
  \stemDown \skip 4*3 \grace { \property Grace.Stem \override #'flag-style = #"" \property Grace.Stem \override #'direction = #-1 a'16 } \times 2/3 {g8 fis^2 g^3} | \property Score.currentBarNumber = #1 b4^5_#'(italic "dolce") b^5 g^3 \grace { \property Grace.Stem \override #'flag-style = #"" \property Grace.Stem \override #'direction = #-1 a16 } \times 2/3 {g8 fis^2 g^1} | d'2^5 b4^3 g^1 |
%  c^3 \grace { \property Grace.Stem \override #'flag-style = #"" \property Grace.Stem \override #'direction = #-1 d16 } \times 2/3 {c8 b c} e4 e | cis d r \grace { \property Grace.Stem \override #'flag-style = #"" \property Grace.Stem \override #'direction = #-1 a16 } \times 2/3 {g8^3 fis^2 g^3} |
  c^3 \grace { \property Grace.Stem \override #'flag-style = #"" \property Grace.Stem \override #'direction = #-1 d16 } \times 2/3 {c8 b c} e4 e | cis d r \grace { \property Grace.Stem \override #'flag-style = #"" \property Grace.Stem \override #'direction = #-1 a16 } \times 2/3 {g8 fis^2 g^3} |
  a4^4 a e^1 a | d,2^1 g4^5 d^2 |
%  c^1 c^3 b^2 d^4 \stemBoth | d^4( \fz )a^1 r \grace { \property Grace.Stem \override #'flag-style = #"" a16 } \times 2/3 {g8^3 fis^2 g^3} |
  c^1 c^3 b^2 d^4 \stemBoth | d^4( \fz )a^1 r \grace { \property Grace.Stem \override #'flag-style = #"" a16 } \times 2/3 {g8 fis^2 g^3} |
  b4^5 b^5 g^3 \grace { \property Grace.Stem \override #'flag-style = #"" a16 } \times 2/3 {g8 fis g^1} | d'2^5 \fz b4^3 g^1 |
  c^3 \grace { \property Grace.Stem \override #'flag-style = #"" \property Grace.Stem \override #'direction = #-1 d16 } \times 2/3 {c8 b c} e4 e | cis d r \grace { \property Grace.Stem \override #'flag-style = #"" \property Grace.Stem \override #'direction = #-1 a'16 } \times 2/3 {g8 fis g} |
  b4_#'(italic "cresc.") b e, e | a2 \fz fis4 d |
  b b cis \grace { \property Grace.Stem \override #'flag-style = #"" \property Grace.Stem \override #'direction = #-1 d16 } \times 2/3 {cis8 b cis | [d^1 fis^2 a^3] [d^5 cis b] [a g fis^3] [e d^1 cis^2] |
  [b^1 b' a] [g fis e^1] [d^4 cis b] [a^1 b cis] | [d^1 fis a] [d cis b] [a g fis] [e d cis] |
  [b^1 b'^5 a] [g fis e] [d^4 cis b] [a b cis] | [d^1 e fis] [d e fis] [d e fis] [d e fis] |
  [d e fis] [d e fis] [d e fis] [d e fis] | [d fis a] [g! fis e] [d cis b] [a g fis]} |
  e1^\trill | \times 2/3 {[d8^1 fis^2 a^3] [fis^2 a^3 d^5] [fis, \p a d] [fis, a d] |
  [gis, b d] [gis, b d] [gis, b d] [gis, b d] | [g,! a cis] [g a cis] [fis, a d] [fis, a d] |
  [e, g b] [e, g b] [cis, e a] [cis, e a] | [d, fis a] [fis a d] [fis, a d] [fis, a d] |
  [gis,_#'(italic "cresc.") b d] [gis, b d] [gis, b d] [gis, b d] | [g,! \fz a cis] [g a cis] [fis,_#'(italic "cresc.") a d] [fis, a d] |
  [e, g b] [e, g b] [cis, e a] [cis, e a]} | d,4 r r \grace { \property Grace.Stem \override #'flag-style = #"" b'16 } \times 2/3 {a8 gis a} |
  <d4 fis,> r r \grace { \property Grace.Stem \override #'flag-style = #"" b16 } \times 2/3 {a8 \fz gis a} | <d4 fis,> r r
 }
 \repeat volta 2 {
%  \grace { \property Grace.Stem \override #'flag-style = #"" \property Grace.Stem \override #'direction = #-1 e16 } \times 2/3 {d8^3 \p cis^2 d^1} | a'4 a fis d^1 | d'2 bes4 g^1 |
  \grace { \property Grace.Stem \override #'flag-style = #"" \property Grace.Stem \override #'direction = #-1 e16 } \times 2/3 {d8 \p cis^2 d^1} | a'4 a fis d^1 | d'2 bes4 g^1 |
  fis!^3 \grace { \property Grace.Stem \override #'flag-style = #"" \property Grace.Stem \override #'direction = #-1 g16 } \times 2/3 {fis8 e fis} g4^5 es^3 | cis^2 d2^3 \grace { \property Grace.Stem \override #'flag-style = #"" \property Grace.Stem \override #'direction = #-1 es16 } \times 2/3 {d8 cis d} |
  es4 es^4_#'(italic "cresc.") c!^2 a^1 | g'^5 \fz f d^1 bes^2 |
  g^1 c^5 a^3 f | \times 2/3 {[bes8 f d] [bes'8 f d] [bes'8 f d] [bes'8 f d] |
  [b'! f d] [b' f d] [b' f d] [b' f d] | r [c^1 es^2] [g^3 es^2 g^3] [c^5 g es] [c' g es] |
  [cis' g e!] [cis' g e] [cis' g e] [cis' g e] | r \ff [d^1 fis!^2] [a^3 fis a] [d a fis] [a fis d] |
  r [d g] [bes g bes] [d bes g] [bes g d] | r [d^1 e] [fis! g^1 a] [b! cis d^1] [e fis g^1] |
  [a b cis] [d^5 a^3 fis^2] [d^1 a^3 fis^2]} r4 | r2 r4 \grace { \property Grace.Stem \override #'flag-style = #"" \property Grace.Stem \override #'direction = #-1 a'16 } \times 2/3 {g8 fis g} |
  b4^5_#'(italic "dolce") b g \grace { \property Grace.Stem \override #'flag-style = #"" \property Grace.Stem \override #'direction = #-1 a16 } \times 2/3 {g8 fis g} | d'2 b4 g |
  c \grace { \property Grace.Stem \override #'flag-style = #"" \property Grace.Stem \override #'direction = #-1 d16 } \times 2/3 {c8 b c} e4 e | cis( )d r \grace { \property Grace.Stem \override #'flag-style = #"" \property Grace.Stem \override #'direction = #-1 a16 } \times 2/3 {g8 fis g} |
  a4 a e^1 a | d,2^1 g4 d |
  c c b d | d \fz a r \grace { \property Grace.Stem \override #'flag-style = #"" a16 } \times 2/3 {g8 fis g} |
  b4 b g \grace { \property Grace.Stem \override #'flag-style = #"" a16 } \times 2/3 {g8 fis g} | d'2 \fz b4 g |
%  c \grace { \property Grace.Stem \override #'flag-style = #"" \property Grace.Stem \override #'direction = #-1 d16( } \times 2/3 {c8 b c} )e4 e | cis d r \grace { \property Grace.Stem \override #'flag-style = #"" \property Grace.Stem \override #'direction = #-1 g16 } \times 2/3 {f8 \fz e f} |
  c \grace { \property Grace.Stem \override #'flag-style = #"" \property Grace.Stem \override #'direction = #-1 d16 } \times 2/3 {c8( b c} )e4 e | cis d r \grace { \property Grace.Stem \override #'flag-style = #"" \property Grace.Stem \override #'direction = #-1 g16 } \times 2/3 {f8 \fz e f} |
  a4 \f a d, d | g2^5 \fz e4^3_#'(italic "dim.") cis^2 |
%  d^3 \p d^5 fis,!^2 \grace { \property Grace.Stem \override #'flag-style = #"" g16 } \times 2/3 {fis8^2 e^1 fis^2 | [g^1 b^2 d^3] [g^5 fis e] [d c b^3] [a g fis^2] |
  d^3 \p d^5 fis,!^2 \grace { \property Grace.Stem \override #'flag-style = #"" g16 } \times 2/3 {fis8 e^1 fis^2 | [g^1 b^2 d^3] [g^5 fis e] [d c b^3] [a g fis^2] |
  [e e' d] [c b a] [g^4 fis e] [d^1 e fis] | [g^1 b d] [g fis e] [d c b] [a g fis] |
  [e e' d] [c b a] [g fis e] [d e fis] | [g^1 a b] [g a b] [g \f a b] [g a b] |
  [g a b] [g a b] [g a b] [g a b] | r [b'^3 d^5] [c b a] [g fis e] [d c b]} |
  a1^\trill | \times 2/3 {[g8 \> b d] [b d \! g] [b, d g] [b, \p d g] |
  [cis, e g] [cis, e g] [cis, e g] [cis, e g] | [c,! d fis] [c d fis] [b, d g] [b, d g] |
  [a, c e] [a, c e] [fis, a d] [fis, a d] | [g, b d] [b d g] [b, d g] [b, d g] |
  [cis, e g] [cis,_#'(italic "cresc.") e g] [cis, e g] [cis, e g] | [c,! \f d fis] [c d fis] [b, d g] [b, d g] |
  [a, c e] [a, c e] [fis, a d] [fis, a d]} | g,4 r r \grace { \property Grace.Stem \override #'flag-style = #"" \property Grace.Stem \override #'direction = #-1 e'16 } \times 2/3 {d8 cis d} |
  <g4 b,> r r \grace { \property Grace.Stem \override #'flag-style = #"" \property Grace.Stem \override #'direction = #-1 e16 } \times 2/3 {d8 cis d} | <g4 b,> r r
 }
}

prb = \notes \relative c {
 \prglobal
 \repeat volta 2 {
  \skip 4*3 r4 | \times 2/3 {[g'8 b d] [g, b d] [g, b d] [g, b d] | [g, b d] [g, b d] [g, b d] [g, b d] |
  [g, c e] [g, c e] [g, c e] [g, c e] | [g, b d] [g, b d] [g, b d] [g, b d] \clef treble |
  [c e a] [c, e a] [c, e a] [c, e a] | [b, d g] [b, d g] [b, d g] [b, d g] \clef bass |
  [fis, a d] [fis, a d] [g, b_2 d_1] [g, b d] | [d, fis a] [d a fis]} d4 r |
  \times 2/3 {[g8 b d] [g, b d] [g, b d] [g, b d] | [g, b d] [g, b d] [g, b d] [g, b d] |
  [g, c e] [g, c e] [g, c e] [g, c e] | [g, b d] [g, b d] [g, b d] [g, b d] |
  [g, cis e] [g, cis e] [g, cis e] [g, cis e] | [fis, a d] [fis, a d] [fis, a d] [fis, a d] |
  [g, b e] [g, b e] \clef treble [a, e' g] [a, e' g]} | <fis4 d> r r2 |
  <g4 d> <g d> <e d> <e d> | <fis d> r r2 |
  <g4 d> <g d> <e d> <e d> | <fis d> r \clef bass <fis, fis,> <fis fis,> |
  <g g,> <g g,> <gis gis,> <gis gis,> | <a1 a,> |
  \times 2/3 {[a,8 cis g'] [a, cis g'] [a, cis g'] [a, cis g']} | <fis4 d> r r d' |
  b b e e | a,2 d4 d |
  g, g a a | <fis d> r r d |
  b b e e | a,2 d4 d |
  <g g,> <g g,> <a a,> <a a,> | \times 2/3 {[d,8 fis a] [d, fis a] [d, fis a] [cis, e a] |
  [d, fis a] [d, fis a] [d, fis a] [cis, e a] | [d, fis a] [d, fis a]} d,4
 }
 \repeat volta 2 {
  r \clef treble | \times 2/3 {[c'!8 fis! a] [c,8 fis a] [c,8 fis a] [c,8 fis a] | [bes, d g] [bes, d g] [bes, d g] [bes, d g] \clef bass |
  [a, c d] [a c d] [g, bes d] [g, bes d] | [fis, a d] [fis, a d] [fis, a d] [fis, a d] |
  [f, a c] [f, a c] [f, a c] [f, a c] | [f, bes d] [f, bes d] [f, bes d] [f, bes d] |
  [f, c' es] [f, c' es] [f, c' es] [f, c' es]} | bes4 r r as^2 \fz |
  g^1 g g, g | <c2 c,> r4 bes'4^2 \fz |
  a!^1 a a, a | <d1 d,> |
  <d d,> | <d d,> |
  r2 r4 \times 2/3 {d'8_1 a_2 fis_3} | d2. r4 |
  \times 2/3 {[g8 b d] [g, b d] [g, b d] [g, b d] | [g, b d] [g, b d] [g, b d] [g, b d] |
  [g, c e] [g, c e] [g, c e] [g, c e] | [g, b d] [g, b d] [g, b d] [g, b d] \clef treble |
  [c e a] [c, e a] [c, e a] [c, e a] | [b, d g] [b, d g] [b, d g] [b, d g] \clef bass |
  [fis, a d] [fis, a d] [g, b d] [g, b d] | \stemDown [d, fis a] [d a fis]} d4 r \stemBoth |
  \times 2/3 {[g8 b d] [g, b d] [g, b d] [g, b d] | [g, b d] [g, b d] [g, b d] [g, b d] |
  [g, c e] [g, c e] [g, c e] [g, c e] | [g, b d] [g, b d] [g, b d] [g, b d] |
  [f, b d] [f, b d] [f, b d] [f, b d] | [e, g c] [e, g c] [e, g bes] [e, g bes] |
  [d, g b!] [d, g b] [d, a' c] [d, a' c]} | <b4 g> r r2 |
  <c4 g> <c g> <a g> <a g> | <b g> r r2 |
  <c4 g> <c g> <a g> <a g> | <b g> r <b, b,> <b b,> |
  <c c,> <c c,> <cis cis,> <cis cis,> | <d1 d,> |
  \times 2/3 {[d8 fis c'] [d, fis c'] [d, fis c'] [d, fis c']} | <b4 g> r r \clef treble g' |
  e e a a | d,2 g4 g |
  c, c d d | <b g> r r \clef bass g |
  e e a a | \stemDown d,2 g4 g \stemBoth |
  <c c,> <c c,> <d d,> <d d,> | \times 2/3 {[g,8 b d] [g, b d] [g, b d] [fis, \fz a d] |
  [g, b d] [g, b d] [g, b d] [fis, \fz a d] | [g, b d] [g, b d]} g,4
 }
}

