\header {
   title = "Sonatina 5"
   composer = "M. Clementi"
   opus = "Op. 36, No. 5"

   mutopiatitle = "Sonatina: Op. 36, No. 5"
   mutopiacomposer = "M. Clementi (1752-1832)"
   mutopiaopus = "O 36"
   date = "c. 1800"
   source = "Urtext"
   style = "Classical"
   copyright = "Public Domain"

   filename = "sonatina-36-5.ly"
   maintainer = "Chris Sawer"
   maintainerEmail = "chris@sawer.uklinux.net"
   maintainerWeb = "http://www.sawer.uklinux.net/"
   lastupdated = "2000/May/07"

   tagline =  "\\parbox{\hsize}{\\thefooter\\quad\\small \\\\This music is part of the Mutopia project, \\texttt{http://www.mutopiaproject.org/}\\\\It has been typeset and placed in the public domain by " + \maintainer + ".\\\\Unrestricted modification and redistribution is permitted and encouraged---copy this music and share it!}"
   footer = "Mutopia-2001/05/07-91"
}

\version "1.3.152"

\include "presto.ly"
\include "swiss.ly"
\include "rondo.ly"
\include "paper20.ly"

global = {
   \property Staff.midiInstrument="acoustic grand"
}

\score {
   \context GrandStaff \notes <
      \context Staff = top <
         \global
         \clef treble
         \key g \major
         \prt
      >
      \context Staff = bottom <
         \global
         \clef bass
         \key g \major
         \prb
      >
   >

   \midi { \tempo 4 = 112 }
   \paper { }
   \header { piece="Presto" }
}

\score {
   \context GrandStaff \notes <
      \context Staff = top <
         \global
         \clef treble
         \key c \major
         \swt
      >
      \context Staff = bottom <
         \global
         \clef bass
         \key c \major
         \swb
%         \swx
      >
   >

   \midi { \tempo 8 = 160 }
   \paper { }
   \header { piece="Allegro moderato" opus="Original Swiss Air" }
}

\score {
   \context GrandStaff \notes <
      \context Staff = top <
         \global
         \clef treble
         \key g \major
         \rot
      >
      \context Staff = bottom <
         \global
         \clef treble
         \key g \major
         \rob
      >
   >

   \midi { \tempo 4 = 112 }
   \paper { }
   \header { piece="Allegro di molto" opus="Rondo" }
}
